Subject: Re: bug#57003: 28.1.90; Can local variables be loaded before loading major mode?

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 13 Aug 2022 13:55:05 +0200

Ihor Radchenko <[email-masked]> writes:

> What can be probably done is a call to `hack-local-variables' inside
> `kill-all-local-variables', but setting only the variables marked
> 'permanent-local. The later call to `hack-local-variables' inside
> `run-mode-hooks' may then only go through the remaining variables.

This area is notoriously brittle and complicated.  I worry that any
change in evaluation order is going to break lots of stuff for various
use cases.

So I'd really prefer a new way to specify "early variables", but I have
no idea how that'd look in practice.  Perhaps just a new thing in
.dir-local.el, making that backwards-compatible is a challenge in
itself.